# Changelog
All notable changes to this project will be documented in this file.

## [Unreleased]

## [1.3.3] - 2022-05-10

### Fixed

- [`OXUIB-1632`](https://jira.open-xchange.com/browse/OXUIB-1632) Multiple ui-middleware-nodes might end up in different configurations [`1ee3761`](https://gitlab.open-xchange.com/frontend/ui-middleware/commit/1ee376117a8468a267f2f2297694fc4d9003458f)

## [1.3.2] - 2022-05-05

### Fixed

- [`OXUIB-1621`)`](https://jira.open-xchange.com/browse/OXUIB-1621) /meta does not work with disabled redis [`0131ccb`](https://gitlab.open-xchange.com/frontend/ui-middleware/commit/0131ccb563d06ccfc91574b0d8eedd866fac98f0)

## [1.3.1] - 2022-05-04

### Added

- Add optional flag for redis configuration [`1eeca35`](https://gitlab.open-xchange.com/frontend/ui-middleware/commit/1eeca35683ba57301ba23c21d721e2b160d7f262)

## [1.3.0] - 2022-05-04

### Added

- Redis-based cache to allow scalability [`8c921c8`](https://gitlab.open-xchange.com/frontend/ui-middleware/commit/8c921c8f7da44d59ec9a3a098cb6c3579bcdb840)

## [1.2.1] - 2022-04-05

### Changed

- **Breaking change:** unify name prefix of metrics exposed using promclient [`ae56d8c`](https://gitlab.open-xchange.com/frontend/ui-middleware/commit/ae56d8c0eb18e2aefd2938291616ed1ac24dc366)

### Fixed

- [`OXUIB-1528`](https://jira.open-xchange.com/browse/OXUIB-1528): Read-through cache not working [`ba11d96`](https://gitlab.open-xchange.com/frontend/ui-middleware/commit/ba11d966ff86b2f1dc2611e1be7f4ceb1ad3f310)

## [1.2.0] - 2022-03-28

### Changed
- Improve version detection

### Fixed
- /ready might trigger warmup multiple times

## [1.1.236709] - 2022-03-03
### Fixed
- OXUIB-1397 - Parent or opener do not reference opening window

## [1.1.236708] - 2022-03-01
### Fixed
- OXUIB-1378 - 7.10.x share links don't work with 8.0
- more sane default for memory limits
- version hash in scaled environments
- OXUIB-1380 - UI forever (enough) broken after update
### Added
- redirect endpoint for login redirects
## [1.1.236707] - 2022-02-10
- Add release workflow

## [1.1.236706]

### Added
- Start changelog


[unreleased]: https://gitlab.open-xchange.com/frontend/ui-middleware/compare/1.3.3...main
[1.3.3]: https://gitlab.open-xchange.com/frontend/ui-middleware/compare/1.3.2...1.3.3
[1.3.2]: https://gitlab.open-xchange.com/frontend/ui-middleware/compare/1.3.1...1.3.2
[1.3.1]: https://gitlab.open-xchange.com/frontend/ui-middleware/compare/1.3.0...1.3.1
[1.3.0]: https://gitlab.open-xchange.com/frontend/ui-middleware/compare/1.2.1...1.3.0
[1.2.1]: https://gitlab.open-xchange.com/frontend/ui-middleware/compare/1.2.0...1.2.1
[1.2.0]: https://gitlab.open-xchange.com/frontend/ui-middleware/compare/1.1.236709...1.2.0
[1.1.236709]: https://gitlab.open-xchange.com/frontend/ui-middleware/compare/1.1.236708...1.1.236709
[1.1.236708]: https://gitlab.open-xchange.com/frontend/ui-middleware/compare/1.1.236707...1.1.236708
[1.1.236707]: https://gitlab.open-xchange.com/frontend/ui-middleware/compare/1.1.0...1.1.236707
